var ActiveState, IsActiveMixin, React, RouteTo;

React = require('react');

ActiveState = require('react-crossroads/lib/mixins/ActiveState');

RouteTo = require('react-crossroads/lib/mixins/RouteTo');

IsActiveMixin = {
  mixins: [ActiveState, RouteTo],
  getInitialState: function() {
    return {
      isActive: false
    };
  },
  componentWillReceiveProps: function(nextProps) {
    return this.setState({
      isActive: this.isActive(nextProps.to, nextProps.params)
    });
  },
  updateActiveState: function() {
    return this.setState({
      isActive: this.isActive(this.props.to, this.props.params)
    });
  }
};

module.exports = IsActiveMixin;
